재무
현재 재무 저장
필요한 권한: finances:write
PUT
/
v1
/
finances
현재 재무 저장
curl --request PUT \
--url https://api.morrowly.app/v1/finances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
]
}
'import requests
url = "https://api.morrowly.app/v1/finances"
payload = {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"monthlyContribution": 123,
"name": "<string>",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseRate": 123,
"id": "<string>",
"monthlyAmount": 123,
"name": "<string>",
"start": "<string>"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": True,
"name": "<string>",
"principal": 123,
"remainingMonths": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [
{
acquiredAt: '<string>',
acquisitionPrice: 123,
annualRate: 123,
dividendYield: 123,
id: '<string>',
monthlyContribution: 123,
name: '<string>',
payoutStartAge: 123,
payoutYears: 123,
region: '<string>',
serviceYears: 123,
value: 123
}
],
birthMonth: '<string>',
cash: 123,
cashFlows: [
{
annualGrowth: 123,
end: '<string>',
expenseRate: 123,
id: '<string>',
monthlyAmount: 123,
name: '<string>',
start: '<string>'
}
],
dependents: [{birthMonth: '<string>', id: '<string>', name: '<string>'}],
liabilities: [
{
annualRate: 123,
id: '<string>',
interestDeduction: true,
name: '<string>',
principal: 123,
remainingMonths: 123
}
]
})
};
fetch('https://api.morrowly.app/v1/finances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"assets": [
{
"acquiredAt": "<string>",
"acquisitionPrice": 123,
"annualRate": 123,
"dividendYield": 123,
"id": "<string>",
"investmentTax": "DOMESTIC_STOCK",
"monthlyContribution": 123,
"name": "<string>",
"owner": "SELF",
"payoutStartAge": 123,
"payoutYears": 123,
"region": "<string>",
"serviceYears": 123,
"type": "INVESTMENT",
"value": 123
}
],
"birthMonth": "<string>",
"cash": 123,
"cashFlows": [
{
"annualGrowth": 123,
"end": "<string>",
"expenseKind": "RENT",
"expenseRate": 123,
"id": "<string>",
"incomeKind": "NET",
"monthlyAmount": 123,
"name": "<string>",
"owner": "SELF",
"start": "<string>",
"type": "INCOME"
}
],
"dependents": [
{
"birthMonth": "<string>",
"id": "<string>",
"kind": "SPOUSE",
"name": "<string>"
}
],
"liabilities": [
{
"annualRate": 123,
"id": "<string>",
"interestDeduction": true,
"name": "<string>",
"owner": "SELF",
"principal": 123,
"remainingMonths": 123,
"repayment": "ANNUITY"
}
]
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
⌘I
현재 재무 저장
